build_image:
  image: docker:git
  services:
  - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/vdvelde.t/infodot-icinga2.git .
    - docker run registry.gitlab.com/vdvelde.t/infodot-icinga2.git /script/to/run/tests
    - docker push registry.gitlab.com/vdvelde.t/infodot-icinga2.git:latest
  only:
    - master
